=== debian/changelog ===
yorick-yeti (6.3.3-2) unstable; urgency=low

  * Bug fix: "please build-depend on libtiff-dev, not libtiff4-dev",
    thanks to Jay Berkenbilt (Closes: #736054).
  * Remove build-dep on libgsl0-dev.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 31 Mar 2014 17:16:53 +0200

yorick-yeti (6.3.3-1) unstable; urgency=low

  * New upstream release
  * Deprecate yorick-yeti-gsl in favor of yorick-ygsl
  * Update maintainer address
  * Check against Standards Version 3.9.5

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 20 Feb 2014 12:36:23 +0100
