=== debian/control ===
Source: yorick-yeti
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.06), fftw-dev, libtiff-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/debian-science/packages/yorick-yeti.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-yeti.git
Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/yeti.html

Package: yorick-yeti
Architecture: any
Depends: yorick (>= 2.1.06), ${shlibs:Depends}, ${misc:Depends}
Description: utility plugin for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti package implements:
 .
   * hash table objects
   * wavelet filtering ("a trou" method)
   * fast convolution along a chosen dimension with various border conditions
   * more string functions
   * memory hacking routines
   * more math functions (sinc, round, arc)
   * generalized matrix-vector multiplication (with possibly sparse matrix)
   * routines to query/check Yorick's symbols
   * morpho-math operators
   * ...

Package: yorick-yeti-tiff
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: TIFF image format input for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti-tiff package implements support for reading TIFF images.

Package: yorick-yeti-regex
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: POSIX regular expressions for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti-regex package implements support for POSIX regular
 expressions.

Package: yorick-yeti-fftw
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: FFT plugin for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti-fftw package implements complex, real-complex and complex-real
 fast fourier transform using FFTW2 (the Fastest Fourier Transform in the West -
 version 2)

Package: yorick-yeti-gsl
Architecture: all
Depends: yorick-ygsl, ${misc:Depends}
Section: oldlibs
Description: dummy transitional package
 This package has been deprecated in favor of yorick-ygsl, on which it
 now depends. yorick-yeti-ygsl should be automatically removed and
 replaced with yorick-ygsl on upgrades.
