=== debian/watch ===
version=3
opts="downloadurlmangle=s/\?Software\/Yeti\/.\///" \
 http://cral.univ-lyon1.fr/labo/perso/eric.thiebaut/?Software/Yeti/Downloads \
 .*/downloads/yorick/yeti-(.*)\.tar\.bz2
