=== doc/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 .SUFFIXES: .c .i .o .h .so .dll .dyn .a .exe .txt .text .ps .pdf .html
 #------------------------------------------------------------------------------
 # these values filled in by: yorick -batch make.i
-Y_MAKEDIR=/home/soft/local/libexec/yorick
-Y_EXE=/home/soft/local/libexec/yorick/bin/yorick
+Y_MAKEDIR=
+Y_EXE=
 Y_EXE_PKGS=
-Y_EXE_HOME=/home/soft/local/libexec/yorick
-Y_EXE_SITE=/home/soft/local/libexec/yorick
+Y_EXE_HOME=
+Y_EXE_SITE=
 
 DOCDIR=$(Y_EXE_SITE)/doc
 
@@ -29,10 +29,10 @@
 	  cp -pf $$file $(DOCDIR)/$$file; \
 	  chmod 644 $(DOCDIR)/$$file; \
 	done
-	cp -pf ../README $(DOCDIR)/README.yeti; \
+	cp -pf ../README.md $(DOCDIR)/README.yeti; \
 	chmod 644 $(DOCDIR)/README.yeti
 
-html: yeti.html README
+html: yeti.html README.md
