=== debian/changelog ===
yorick-yeti (6.4.0-1.1build1) lunar; urgency=medium

  * Rebuild against latest tiff

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 07:37:32 -0500

yorick-yeti (6.4.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:31:53 +0200

yorick-yeti (6.4.0-1) unstable; urgency=low

  * New upstream release
  * Stop building obsolete package yorick-gsl

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 30 Nov 2016 13:44:38 +0100
