=== debian/rules ===
#!/usr/bin/make -f

# Hardened flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	yorick -batch debian/check.i
endif

#remove doc from SUBDIRS
override_dh_auto_build:
	$(MAKE) SUBDIRS="core fftw regex tiff" \
	        COPT_DEFAULT="" \
	        Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	        Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_installyorick

clean:
	dh_testdir
	dh_testroot
	touch config.h
	$(MAKE) -C core Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
	$(MAKE) -C fftw Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
	$(MAKE) -C regex Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
	$(MAKE) -C tiff Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
	[ -e Makefile ] && $(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean || true
ifeq (,$(shell head -1 config.h))
	rm -f config.h
endif
	dh_clean yeti/zzyeti_start.i
