=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/Yeti-$1.tar.gz/ \
  https://github.com/emmt/Yeti/tags .*/v?(\d[\d\.]+)\.tar\.gz
